memory

## Functions

void | u_free (void *data)
int | ulfius_global_init (void)
void | ulfius_global_close (void)

## Detailed Description

memory management function

## Function Documentation

## u_free()

void u_free | ( | void * | data | ) |

free data allocated by ulfius functions

Parameters

  data | data to free

## ulfius_global_init()

int ulfius_global_init | ( | void |  | ) |

Initialize global parameters This function isn't thread-safe so it must be called once before any call to ulfius_send_http_request, ulfius_send_http_streaming_request, ulfius_send_smtp_email or ulfius_send_smtp_rich_email The function ulfius_send_request_close must be called when ulfius send request functions are no longer needed

Returns
  U_OK on success

## ulfius_global_close()

void ulfius_global_close | ( | void |  | ) |

Close global parameters